/**
 * Created by John on 7/11/2017.
 */
var fs = require("fs");
var path = require("path");
var moment = require("moment");

function NullMqsHelper() {
    this.root = path.join(__dirname, "..", "..", "db", "file_q");
    this.filename = path.join(this.root, "test_msgs.txt");
    if (!fs.existsSync(this.root)) {
        fs.mkdirSync(this.root);
    }
    if (!fs.existsSync(this.filename)) {
        fs.writeFileSync(this.filename, "[");
    }
    console.log("Using Null MQS");
}


NullMqsHelper.prototype.publishGeneric = function(key, data) {
    var self = this;
    return new Promise(function(resolve, reject){
        var msg = {
            received: (new moment()),
            data: data
        };

        fs.appendFile(self.filename, JSON.stringify(msg, null, '\t') + ",\n", "utf-8", function(err, res){
            if (err) reject(err);
            else resolve(res);
        });
    });
};

NullMqsHelper.prototype.getFilename = function() {
    return this.filename;
};


module.exports = NullMqsHelper;