/**
 * Created by amaralj on 3/14/2016.
 */
var winston = require('winston');
var logger = winston.loggers.get('jobs');

module.exports = function(config) {
    var CronJob = require('cron').CronJob;
    var SAP = require("./SAP");
    var SAPJobObj = new SAP(config);
    var sapJob = null;

    var sapCron = config.cron.SAP;
    //Do not allow to run every second
    if (sapCron !== "* * * * *" && sapCron !== "* * * * * *" && sapCron !== "") {
        try {
            sapJob = new CronJob({
                cronTime: sapCron,
                onTick: function () {
                    /*
                     * Runs on cron.
                     */
                    SAPJobObj.execute(function (err) {
                        if (err) logger.error(err);
                    });
                },
                onComplete: function () {
                    //WARNING: WOULD NOT FIRE FOR ME.  Supposed to fire at the end of the job

                },
                start: false
            });
            sapJob.start();
        } catch(ex) {
            logger.info("SAP job skipped");
            logger.error(ex);
        }

    } else {
        logger.info("SAP job skipped");
    }

};
